Summary: Linux keymap utilities
Name: kbd
Version: 0.94
Release: 5
Group: Utilities/System
ExclusiveOS: Linux
Copyright: GPL
Source0: ftp://ftp.funet.fi/pub/Linux/kernel/src/kbd-0.94.tar.gz
Source1: keytable.init
Source2: ftp://ftp.dementia.org/pub/linux/pc2sun.pl
Patch0: kbd-0.91-newcf.patch
Patch1: kbd-0.94-sparc.patch
Patch2: kbd-0.94.config.patch
Prereq: /sbin/chkconfig
BuildRoot: /tmp/kbd-%{PACKAGE_VERSION}-root

%changelog

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>

- added SPARC stuff (finally!), Thanks to eduardo@medusa.es for most of it.
- added buildroot
- cleaned up the file list
- moved to rev 5 because the contrib ver rel was 4

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>

- updated from 0.91 to 0.94
- added chkconfig support
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This package contains utilities to load console fonts and
keyboard maps.  It also includes a number of different fonts
and keyboard maps.
%ifarch sparc

Please, read the README.sparc file in /usr/doc
%endif 

%prep
%setup
# This patch is actually a whole new cf.map.  Apparently the Canadian
# French keyboard map is broken in the real distribution.
%patch -p1

%ifnarch i386
rm -f man8/resizecons.8
%endif

%ifarch sparc
%patch1 -p1
rm -f keytables/*.orig
mv keytables/sunkeymap.map keytables/defkeymap.map
%endif

%patch2 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/kbd
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man{1,4,5,8}

make prefix=$RPM_BUILD_ROOT/usr install

# don't give loadkeys SUID perms
chmod 755 /usr/bin/loadkeys

strip $RPM_BUILD_ROOT/usr/bin/dumpkeys $RPM_BUILD_ROOT/usr/bin/loadkeys
strip $RPM_BUILD_ROOT/usr/bin/showkey $RPM_BUILD_ROOT/usr/bin/setfont
strip $RPM_BUILD_ROOT/usr/bin/showfont $RPM_BUILD_ROOT/usr/bin/setleds
strip $RPM_BUILD_ROOT/usr/bin/setmetamode $RPM_BUILD_ROOT/usr/bin/kbd_mode
strip $RPM_BUILD_ROOT/usr/bin/chvt $RPM_BUILD_ROOT/usr/bin/deallocvt
strip $RPM_BUILD_ROOT/usr/bin/getkeycodes $RPM_BUILD_ROOT/usr/bin/setkeycodes
strip $RPM_BUILD_ROOT/usr/bin/psfaddtable $RPM_BUILD_ROOT/usr/bin/psfgettable
strip $RPM_BUILD_ROOT/usr/bin/psfstriptable $RPM_BUILD_ROOT/usr/bin/mapscrn
strip $RPM_BUILD_ROOT/usr/bin/loadunimap

install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc{2,3,5}.d

install -m755 -o root -g root $RPM_SOURCE_DIR/keytable.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S75keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S75keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S75keytable

%ifarch sparc
install -m755 -o root -g root $RPM_SOURCE_DIR/pc2sun.pl \
        $RPM_BUILD_ROOT/usr/lib/kbd/keytables
%endif

# remove the goofy file in doc
cd doc
perl -e 'unlink "\342\231\252\342\231\254";'

%ifarch i386
strip $RPM_BUILD_ROOT/usr/bin/resizecons 
%endif

%post
/sbin/chkconfig --add keytable

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del keytable
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files

%ifarch sparc
%doc README.sparc
%endif

%doc README CHANGES
%doc doc/*

%config /etc/rc.d/init.d/keytable
%config(missingok) /etc/rc.d/rc2.d/S75keytable
%config(missingok) /etc/rc.d/rc3.d/S75keytable
%config(missingok) /etc/rc.d/rc5.d/S75keytable

/usr/lib/kbd
/usr/bin/dumpkeys
/usr/bin/loadkeys
/usr/bin/showkey
/usr/bin/setfont
/usr/bin/showfont
/usr/bin/setleds
/usr/bin/setmetamode
/usr/bin/kbd_mode
%ifarch i386
/usr/bin/resizecons
%endif
/usr/bin/chvt
/usr/bin/deallocvt
/usr/bin/getkeycodes
/usr/bin/setkeycodes
/usr/bin/psfaddtable
/usr/bin/psfgettable
/usr/bin/psfstriptable
/usr/bin/mapscrn
/usr/bin/loadunimap
/usr/man/man1/*
/usr/man/man4/*
/usr/man/man5/*
/usr/man/man8/*
